<button class="button-primary" [class.button-disabled]="loading || !isValid"
  (click)="isValid && !loading && emitMethod()">
  <ng-container *ngIf="loading">
    <div class="button-loading">
      <div class="button-loading-spin"></div>
    </div>
  </ng-container>
  <ng-container *ngIf="!loading">
    {{ buttonText }}
  </ng-container>
</button>
